Page MenuHomePhabricator

Implement corrected Conflict State tooltips and Results Area messages
Closed, ResolvedPublic

Description

I updated the Conflict State Messages after discussions with James and @Mooeypoo. The corrected messages have been added to the Approved Text ticket, T149385, for QA purposes. But to make it easier for someone to update these now, I've pasted all the changed messages below.

Tooltips



===Experience vs. Registered/Unregistered tooltips===

[rollover for all Experience filter tags when the user has selected an Experience filter and the Unregistered filter (but not the Registered filter)]
Experience filters find only registered users, so this filter conflicts with the “Unregistered” filter.

[rollover for the Unregistered filter tag when the user has selected an Experience filter and the Unregistered filter (but not the Registered filter)]
This filter conflicts with the following Experience filter[s], which find[s] only registered users: “Filtername a” [, “Filtername b”, “Filtername c"]



===Logged Actions, !!~~Category Changes!!~~ or Wikidata vs. ORES tooltips===

[rollover for Logged Actions filter in conflict with an ORES filter]
This filter conflicts with one or more Contribution Quality or User Intent filters. Quality and Intent predictions are not available for logged actions.

[rollover for Wikidata Edits filter in conflict with an ORES filter]
This filter conflicts with one or more Contribution Quality or User Intent filters. Quality and Intent predictions are not available for Wikidata edits.

[rollover for Category Changes filter in conflict with an ORES filter][invalid. remove]
This filter conflicts with one or more Contribution Quality or User Intent filters. Quality and Intent predictions are not available for category changes.

[rollover for an ORES Quality filter in conflict with Logged Actions, Category Changes or Wikidata edits]
Contribution Quality predictions are not available for certain types of change, so this filter conflicts with the following Type of Change filters: "Filtername a"[, "Filtername b", "Filtername c"]

[rollover for an ORES Intent filter in conflict with Logged Actions, Category Changes or Wikidata edits]
User Intent predictions are not available for certain types of change, so this filter conflicts with the following Type of Change filters: "Filtername a"[, "Filtername b", "Filtername c"]

Minor Edits vs. Logged Actions, Category Changes, Page Creations or Wikidata


**[rollover for Logged Actions, Category Changes Page Creations !!~~or Wikidata!!~~ filter in conflict with Minor Edits]**
This Type of Change filter conflicts with the “Minor Edits” filter. Certain types of change cannot be designated as “minor.”

**[rollover for Minor edits in conflict with Logged Actions, Category Changes, Page Creations !!~~or Wikidata filter!!~~]**
Certain types of change cannot be designated as “minor,” so this filter conflicts with the following Type of Change filters: "Filtername a"[, "Filtername b", "Filtername c", "Filtername d"]

===Non-Minor Edits vs. Wikidata !!NEW!!

**[rollover for Wikidata filter AND the Non-Minor Edits filter when they are in conflict]**
On the Recent Changes page (only), all Wikidata edits are designated as “minor.” So the “Wikidata edits” filter conflicts with the “Non-minor edits” filter.



=Results Area Messages

[Experience vs. Unregistered message]

No results found because the search criteria are in conflict
The “Unregistered” filter is conflicting with one or more Experience filters, which find registered users only. The conflicting filters are marked in the Active Filters area, above.

[Logged Actions vs. any ORES filter message]

No results found because the search criteria are in conflict
The “Logged actions” filter is conflicting with one or more Contribution Quality or User Intent filters. Quality and Intent predictions are not available for logged actions. The conflicting filters are marked in the Active Filters area, above.

[Wikidata Edits vs. any ORES filter message]

No results found because the search criteria are in conflict
The “Wikidata” filter is conflicting with one or more Contribution Quality or User Intent filters. Quality and Intent predictions are not available for Wikidata edits. The conflicting filters are marked in the Active Filters area, above.

[Category Changes vs. any ORES filter message]

No results found because the search criteria are in conflict
The “Category changes” filter is conflicting with one or more Contribution Quality or User Intent filters. Quality and Intent predictions are not available for category changes. The conflicting filters are marked in the Active Filters area, above.

[Minor Edits vs. Logged Actions, Category Changes, Page Creations or Wikidata ]

No results found because the search criteria are in conflict
The “Minor edits” filter is conflicting with one or more Type of Change filters, because certain types of change cannot be designated as “minor.” The conflicting filters are marked in the Active Filters area, above.

[Non-Minor Edits vs. Wikidata] NEW

No results found because the search criteria are in conflict
On the Recent Changes page (only), all Wikidata edits are designated as “minor.” So the “Wikidata edits” filter conflicts with the “Non-minor edits” filter.

Related Objects

Event Timeline

jmatazzoni removed jmatazzoni as the assignee of this task.
jmatazzoni renamed this task from Put in corrected Conflict State tooltips and Results Area messages to Implement corrected Conflict State tooltips and Results Area messages.

Change 343431 had a related patch set uploaded (by Catrope):
[mediawiki/extensions/ORES] Update RCFilters conflict messages

https://gerrit.wikimedia.org/r/343431

Change 343432 had a related patch set uploaded (by Catrope):
[mediawiki/core] RCFilters: Update conflict messages

https://gerrit.wikimedia.org/r/343432

I changed "is conflicting with" to "conflicts with" in the result area messages, because from our IRL discussion earlier today I guessed that that's what you meant and that you'd forgotten to update those. Let me know if that's not right.

I also didn't do the Wikidata ones yet because 1) the Wikidata filter isn't done yet and 2) I think we need to change the backend a bit so that expressing a conflict between two extension filters is actually supported (cc @Mattflaschen-WMF )

(Re Wikidata, it might be simpler to just do T158025?)

Change 343432 merged by jenkins-bot:
[mediawiki/core] RCFilters: Update conflict messages

https://gerrit.wikimedia.org/r/343432

Change 343431 merged by jenkins-bot:
[mediawiki/extensions/ORES] Update RCFilters conflict messages

https://gerrit.wikimedia.org/r/343431

I also didn't do the Wikidata ones yet because 1) the Wikidata filter isn't done yet and 2) I think we need to change the backend a bit so that expressing a conflict between two extension filters is actually supported (cc @Mattflaschen-WMF )

  1. is already supported.

Tested on betalabs. 'good faith' is not enabled in beta - but conflicts with User intent filters are fully implemented.

  • All tooltips for conflict states are in place
  • the Result Area Message is per the specs


However,

  • No Wikidata filter is implemented
  • When there are two conflicts, the Result Area Message will defaults to "No results found because the search criteria are in conflict

The "Logged actions" filter conflicts with one or more Contribution Quality or User Intent filters." It does not matter in which order the conflicting filters were selected.

  • There are still some states that never return results e.g. 'Logged actions' + 'Minor edits'. We may need to address their logic later.

QA recommendation: Product should weigh in.

@Etonkovidova writes:

When there are two conflicts, the Result Area Message will defaults to "No results found because the search criteria are in conflict

That's not what I see. See screenshot below. It follows the protocol of showing one message and then, when that is cleared, spilling over to the next message.

jmatazzoni added a comment.EditedMar 20 2017, 7:55 PM

Bouncing this back to In Dev to add some more conflict states that I missed. @Mooeypoo, @Mattflaschen-WMF, you might want to have a look at these. (I'll add them all to the Approved Interface task, T149385, as well.)

"Category changes" vs. ORES filters

(How did we miss that?) So we need to:

  1. Define category changes as being in conflict with ORES, so that it shows up in the listings of the stuff that's in conflict
  2. Add the following messages:

[rollover for Category Changes filter in conflict with an ORES filter]
This filter conflicts with one or more Contribution Quality or User Intent filters. Quality and Intent predictions are not available for category changes.

[rollover for an ORES Quality filter in conflict with Logged Actions, Category Changes or Wikidata edits]
Contribution Quality predictions are not available for certain types of change, so this filter conflicts with the following Type of Change filters: "Filtername a"[, "Filtername b", "Filtername c"]

[rollover for an ORES Intent filter in conflict with Logged Actions, Category Changes or Wikidata edits]
User Intent predictions are not available for certain types of change, so this filter conflicts with the following Type of Change filters: "Filtername a"[, "Filtername b", "Filtername c"]

[Results area message Category Changes vs. any ORES filter message]


**No results found because the search criteria are in conflict**
The “Category changes” filter is conflicting with one or more Contribution Quality or User Intent filters. Quality and Intent predictions are not available for category changes. The conflicting filters are marked in the Active Filters area, above.

==Minor edits vs. Category, Logged Actions, Minor Edits, Wikidata

Same as above. We need to


# Define Minor Edits as being in conflict with the above
# Add the wording, as below.

//[rollover for Logged Actions, Category Changes, Page Creations or Wikidata filter in conflict with Minor Edits]//
This Type of Change filter conflicts with the “Minor Edits” filter. Certain types of change cannot be designated as “minor.”
//
[rollover for Minor edits in conflict with Logged Actions, Category Changes, Page Creations or Wikidata filter]//
Certain types of change cannot be designated as “minor,” so this filter conflicts with the following Type of Change filters: "Filtername a"[, "Filtername b", "Filtername c", "Filtername d"]

//[Results Area Message for Minor Edits vs. Logged Actions, Category Changes, Page Creations or Wikidata ]//

No results found because the search criteria are in conflict
The “Minor edits” filter is conflicting with one or more Type of Change filters, because certain types of change cannot be designated as “minor.” The conflicting filters are marked in the Active Filters area, above.

Change 343783 had a related patch set uploaded (by Mooeypoo):
[mediawiki/extensions/ORES] Add conflicts for category changes

https://gerrit.wikimedia.org/r/343783

Change 343788 had a related patch set uploaded (by Mooeypoo):
[mediawiki/core] RCFilters: Add conflicts for minor edits

https://gerrit.wikimedia.org/r/343788

The two commits above add everything except Wikidata, which is still under development in general.

I believe @Mattflaschen-WMF is working on the conflicts there now? Would you be able to add the above conflict with wikidata? It should just use the same strings already added to core in https://gerrit.wikimedia.org/r/#/c/343788/1/languages/i18n/en.json

Change 343783 merged by jenkins-bot:
[mediawiki/extensions/ORES] Add conflicts for category changes

https://gerrit.wikimedia.org/r/343783

Change 343788 merged by jenkins-bot:
[mediawiki/core] RCFilters: Add conflicts for minor edits

https://gerrit.wikimedia.org/r/343788

Change 344451 had a related patch set uploaded (by Catrope):
[mediawiki/extensions/Wikibase@master] RCFilters: Make Wikidata filter also conflict with minor edits

https://gerrit.wikimedia.org/r/344451

@jmattazzoni Regarding

When there are two conflicts, the Result Area Message will defaults to "No results found because the search criteria are in conflict

That's not what I see. See screenshot below. It follows the protocol of showing one message and then, when that is cleared, >spilling over to the next message.

Re-checked - the message displayed in the Result area will specifically refer to the last conflicting state selected - so, all is good.

Change 344667 had a related patch set uploaded (by Mattflaschen):
[mediawiki/extensions/ORES@master] Revert "Add conflicts for category changes"

https://gerrit.wikimedia.org/r/344667

jmatazzoni added a comment.EditedMar 24 2017, 6:35 PM

It turns out that Category Changes do get ORES scores. Therefore, the Category Change vs. ORES filters combination should NOT be a Conflict State. I've amended this task Description above to clearly show where this change applies (using highlight color and strikethrough).

Meanwhile, I filed T161325 for removing this Conflict State. And I updated the Approved Text ticket T149385 to drop all the incorrect language.

Change 344667 merged by jenkins-bot:
[mediawiki/extensions/ORES@master] Revert "Add conflicts for category changes"

https://gerrit.wikimedia.org/r/344667

Etonkovidova added a comment.EditedMar 27 2017, 11:14 PM

(1) Conflicts for Category changes are reverted - the following states are not marked as conflicting anymore:

Category changesUser intent predictions ('Very likely good faith', 'May be bad faith', 'Likely bad faith') --Reverted
Category changesContribution quality predictions ('very likely goos', 'May have problems', 'Very likely have problems') -- Reverted

(2) The following conflict states are present:

Name of the filterConflicts with
UnregisteredExperience level group (Newcomers, learners, Experienced users
Logged actionsContribution quality predictions ('very likely goos', 'May have problems', 'Very likely have problems')
Logged actionsUser intent predictions ('Very likely good faith', 'May be bad faith', 'Likely bad faith')
Logged actionsMinor edits
WikidataContribution quality predictions ('very likely goos', 'May have problems', 'Very likely have problems')
WikidataUser intent predictions ('Very likely good faith', 'May be bad faith', 'Likely bad faith')
Category changesMinor edits
Minor editsPage creations

(3) According to the description, 'Wikidata edits' should be in conflict with 'Minor edits', according to https://gerrit.wikimedia.org/r/#/c/344451/ the conflict would be with 'Non-minor edits' .

The spec 'Wikidata edits' should be in conflict with 'Minor edits' (or 'Non-minor edits' ) needs additional consideration, and all other specs have been implemented - moving the ticket to 'Product review'.

QA Recommendation: Resolve

@Etonkovidova it turns out there is NO conflict between Minor Edits and Wikidata Edits. The conflict is actually between Non-Minor edits and Wikidata Edits. I will close this ticket, but I created T161665 to

  1. Implement the new conflict
  2. Remove the conflict involving Minor edits and Wikidata (which is specified above).

I updated the Description above to show where the conflict was removed and to show the new conflict text. I also updated T149385.

T161665

jmatazzoni closed this task as Resolved.Mar 29 2017, 12:08 AM